unit TOTER_Config;

interface

uses
  Winapi.Windows, Winapi.Messages, System.SysUtils, System.Variants, System.Classes, Vcl.Graphics,
  Vcl.Controls, Vcl.Forms, Vcl.Dialogs, Vcl.StdCtrls, RefCtrls, NumEdits;

type
  TConfigDialog = class(TForm)
    OKButton: TButton;
    CancelButton: TButton;
    SaveLogChk: TCheckBox;
    FilenameLbl: TLabel;
    FilenameEdt: TRefFileEdit;
    LinageLbl: TLabel;
    LinageEdt: TUpDownEdit;
    procedure FormShow(Sender: TObject);
    procedure FormClose(Sender: TObject; var Action: TCloseAction);
    procedure SaveLogChkClick(Sender: TObject);
    procedure FileEdtsChange(Sender: TObject);
  private
    { Private 錾 }
    procedure UpdateOKButton;
  public
    { Public 錾 }
  end;

var
  ConfigDialog: TConfigDialog;

implementation

{$R *.dfm}

uses
  TOTER_Main;

procedure TConfigDialog.UpdateOKButton;
begin
  if SaveLogChk.Checked then
    OKButton.Enabled := (FilenameEdt.Text <> '') and (LinageEdt.Relation = nrAccord)
  else
    OKButton.Enabled := True;
end;

procedure TConfigDialog.FormShow(Sender: TObject);
begin
  SaveLogChk.Checked := MainForm.SaveLog;
  FilenameEdt.Text := MainForm.LogFile;
  LinageEdt.Value := MainForm.LogLinage;
  with FilenameEdt.Dialog do
  begin
    FileName := FilenameEdt.Text;
    InitialDir := ExtractFilePath(FileName);
  end;
end;

procedure TConfigDialog.FormClose(Sender: TObject; var Action: TCloseAction);
begin
  if ModalResult = mrOK then
  begin
    with MainForm do
    begin
      SaveLog := SaveLogChk.Checked;
      LogFile := FilenameEdt.Text;
      LogLinage := LinageEdt.Value;
    end;
  end;
end;

procedure TConfigDialog.SaveLogChkClick(Sender: TObject);
begin
  UpdateOKButton;
end;

procedure TConfigDialog.FileEdtsChange(Sender: TObject);
begin
  UpdateOKButton;
end;

end.
